import * as v from 'valibot';
import type { DcqlQuery } from '../dcql-query/m-dcql-query.js';
import type { DcqlCredentialRepresentation } from '../u-dcql-credential-representation.js';
export declare namespace DcqlPresentationRecord {
    const vModel: v.RecordSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, v.UnionSchema<[v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>], undefined>, undefined>;
    type Input = v.InferInput<typeof vModel>;
    type Output = v.InferOutput<typeof vModel>;
    const parse: (input: Input | string) => {
        [x: string]: string | {
            [x: string]: import("../u-dcql.js").Json;
        };
    };
    const encode: (input: Output) => string;
    const validate: (input: Output, ctx: {
        dcqlQuery: DcqlQuery;
        credentials: DcqlCredentialRepresentation[];
    }) => void;
}
export type DcqlPresentationRecord = DcqlPresentationRecord.Output;
//# sourceMappingURL=m-dcql-presentation-record.d.ts.map